## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iHazeHullCreation Struct Reference
[Mesh plugins, Mesh plugins]

This interface is implemented by the haze factory in order to be able to create the predefined haze hulls. More...

`#include <imesh/haze.h>`

Inheritance diagram for iHazeHullCreation:

[legend]
List of all members.

## Public Member Functions

virtual csRef< iHazeHullBox > | CreateBox (const csVector3 &min, const csVector3 &max) const =0
| create a predefined hull: a box given min and max.
virtual csRef< iHazeHullCone > | CreateCone (int nr_sides, const csVector3 &start, const csVector3 &end, float srad, float erad) const =0
| create a predefined hull: a cone

## Detailed Description

This interface is implemented by the haze factory in order to be able to create the predefined haze hulls.

Definition at line 110 of file haze.h.

## Member Function Documentation

virtual csRef<iHazeHullBox> iHazeHullCreation::CreateBox | ( | const csVector3 & | min,
|  | const csVector3 & | max
| ) | const`[pure virtual]`

| create a predefined hull: a box given min and max.

virtual csRef<iHazeHullCone> iHazeHullCreation::CreateCone | ( | int | nr_sides,
|  | const csVector3 & | start,
|  | const csVector3 & | end,
|  | float | srad,
|  | float | erad
| ) | const`[pure virtual]`

| create a predefined hull: a cone

The documentation for this struct was generated from the following file:

- imesh/haze.h